Loading...
Searching...
No Matches
net::Info Struct Reference

Network info. More...

## Public Attributes

CommonInfo | common
| Common network info.
map< string, InterfaceInfo > | ifMap
| Common interface info.
map< string, EthInfo > | ethMap
| Ethernet specific interface info.
map< string, WlanInfo > | wlanMap
| WLAN specific interface info.

## Detailed Description

Network info.

Definition at line 314 of file Net.idl.

## Member Data Documentation

## common

CommonInfo net::Info::common

Common network info.

Definition at line 315 of file Net.idl.

## ethMap

map<string, EthInfo> net::Info::ethMap

Ethernet specific interface info.

Definition at line 317 of file Net.idl.

## ifMap

map<string, InterfaceInfo> net::Info::ifMap

Common interface info.

Definition at line 316 of file Net.idl.

## wlanMap

map<string, WlanInfo> net::Info::wlanMap

WLAN specific interface info.

Definition at line 318 of file Net.idl.

The documentation for this struct was generated from the following file:

- Net.idl